summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2015-07-12 20:54:02 +0000
committerAndreas K. Hüttel <dilfridge@gentoo.org>2015-07-12 20:54:02 +0000
commit85c96cd915996128cd1c46bafc8163b153bafe49 (patch)
treef8428499bc918f63e896e5f1a66455a842acb8cd /app-office/libreoffice
parentstable amd64; stable x86; fixed bad use of nonfatal, wrt bug 551184 (diff)
downloadgentoo-2-85c96cd915996128cd1c46bafc8163b153bafe49.tar.gz
gentoo-2-85c96cd915996128cd1c46bafc8163b153bafe49.tar.bz2
gentoo-2-85c96cd915996128cd1c46bafc8163b153bafe49.zip
Version bump by Andreas Sturmlechner (genstorm)
(Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key 0B08240A96F66571)
Diffstat (limited to 'app-office/libreoffice')
-rw-r--r--app-office/libreoffice/ChangeLog13
-rw-r--r--app-office/libreoffice/files/libreoffice-4.4.4.3-cleanup-IsNativeControlSupported.patch212
-rw-r--r--app-office/libreoffice/files/libreoffice-4.4.4.3-fix-KDE4-FileDialog.patch76
-rw-r--r--app-office/libreoffice/files/libreoffice-4.4.4.3-improve-KDE4FilePicker.patch193
-rw-r--r--app-office/libreoffice/libreoffice-4.4.4.3.ebuild615
-rw-r--r--app-office/libreoffice/libreoffice-4.4.9999.ebuild8
-rw-r--r--app-office/libreoffice/libreoffice-5.0.0.3.ebuild609
-rw-r--r--app-office/libreoffice/libreoffice-9999.ebuild4
8 files changed, 1724 insertions, 6 deletions
diff --git a/app-office/libreoffice/ChangeLog b/app-office/libreoffice/ChangeLog
index c2b17fadf0ae..4401a1878508 100644
--- a/app-office/libreoffice/ChangeLog
+++ b/app-office/libreoffice/ChangeLog
@@ -1,6 +1,17 @@
# ChangeLog for app-office/libreoffice
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/ChangeLog,v 1.638 2015/06/21 19:10:14 dilfridge Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/ChangeLog,v 1.639 2015/07/12 20:54:02 dilfridge Exp $
+
+*libreoffice-5.0.0.3 (12 Jul 2015)
+*libreoffice-4.4.4.3 (12 Jul 2015)
+
+ 12 Jul 2015; Andreas K. Huettel <dilfridge@gentoo.org>
+ +files/libreoffice-4.4.4.3-cleanup-IsNativeControlSupported.patch,
+ +files/libreoffice-4.4.4.3-fix-KDE4-FileDialog.patch,
+ +files/libreoffice-4.4.4.3-improve-KDE4FilePicker.patch,
+ +libreoffice-4.4.4.3.ebuild, +libreoffice-5.0.0.3.ebuild,
+ libreoffice-4.4.9999.ebuild, libreoffice-9999.ebuild:
+ Version bump by Andreas Sturmlechner (genstorm)
21 Jun 2015; Andreas K. Huettel <dilfridge@gentoo.org>
libreoffice-4.4.3.2.ebuild:
diff --git a/app-office/libreoffice/files/libreoffice-4.4.4.3-cleanup-IsNativeControlSupported.patch b/app-office/libreoffice/files/libreoffice-4.4.4.3-cleanup-IsNativeControlSupported.patch
new file mode 100644
index 000000000000..7cb33b98fd32
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-4.4.4.3-cleanup-IsNativeControlSupported.patch
@@ -0,0 +1,212 @@
+Merged upstream commits:
+
+88e16529fc7b0e312b68e38295348c93b437aad8 "tdf#92110 KDE4: cleanup IsNativeControlSupported"
+57792314c7b05f71c66834ee47bfaa09003df765 "tdf#92115 KDE4: better listbox theming"
+
+
+diff -u b/vcl/unx/kde4/KDESalGraphics.cxx b/vcl/unx/kde4/KDESalGraphics.cxx
+--- b/vcl/unx/kde4/KDESalGraphics.cxx
++++ b/vcl/unx/kde4/KDESalGraphics.cxx
+@@ -85,47 +85,43 @@
+
+ bool KDESalGraphics::IsNativeControlSupported( ControlType type, ControlPart part )
+ {
+- if (type == CTRL_PUSHBUTTON) return true;
+-
+- if (type == CTRL_MENUBAR) return true;
+-
+- if (type == CTRL_MENU_POPUP) return true;
+-
+- if (type == CTRL_EDITBOX) return true;
+-
+- if (type == CTRL_COMBOBOX) return true;
+-
+- if (type == CTRL_TOOLBAR) return true;
+-
+- if (type == CTRL_CHECKBOX) return true;
+-
+- if (type == CTRL_LISTBOX) return true;
+-
+- if (type == CTRL_LISTNODE) return true;
+-
+- if (type == CTRL_FRAME) return true;
+-
+- if (type == CTRL_SCROLLBAR) return true;
+-
+- if (type == CTRL_WINDOW_BACKGROUND) return true;
+-
+- if (type == CTRL_SPINBOX && (part == PART_ENTIRE_CONTROL || part == HAS_BACKGROUND_TEXTURE) ) return true;
+-
+- // no spinbuttons for KDE, paint spinbox complete
+- //if (type == CTRL_SPINBUTTONS) return true;
+-
+- if (type == CTRL_GROUPBOX) return true;
+-
+- if (type == CTRL_FIXEDLINE) return true;
+-
+- if (type == CTRL_TOOLTIP) return true;
++ switch (type)
++ {
++ case CTRL_PUSHBUTTON:
++ case CTRL_RADIOBUTTON:
++ case CTRL_CHECKBOX:
++ case CTRL_TOOLTIP:
++ case CTRL_PROGRESS:
++ case CTRL_LISTNODE:
++ return (part == PART_ENTIRE_CONTROL);
++
++ case CTRL_MENUBAR:
++ case CTRL_MENU_POPUP:
++ case CTRL_EDITBOX:
++ case CTRL_COMBOBOX:
++ case CTRL_TOOLBAR:
++ case CTRL_FRAME:
++ case CTRL_SCROLLBAR:
++ case CTRL_WINDOW_BACKGROUND:
++ case CTRL_GROUPBOX:
++ case CTRL_FIXEDLINE:
++ return true;
++
++ case CTRL_LISTBOX:
++ return (part == PART_ENTIRE_CONTROL
++ || part == PART_SUB_EDIT
++ || part == PART_WINDOW
++ || part == PART_BUTTON_DOWN);
+
+- if (type == CTRL_RADIOBUTTON) return true;
++ case CTRL_SPINBOX:
++ return (part == PART_ENTIRE_CONTROL || part == HAS_BACKGROUND_TEXTURE);
+
+- if (type == CTRL_SLIDER && (part == PART_TRACK_HORZ_AREA || part == PART_TRACK_VERT_AREA) )
+- return true;
++ case CTRL_SLIDER:
++ return (part == PART_TRACK_HORZ_AREA || part == PART_TRACK_VERT_AREA);
+
+- if ( (type == CTRL_PROGRESS) && (part == PART_ENTIRE_CONTROL) ) return true;
++ default:
++ break;
++ }
+
+ return false;
+ }
+@@ -221,15 +217,15 @@
+ const ImplControlValue& value,
+ const OUString& )
+ {
+- if( lastPopupRect.isValid() && ( type != CTRL_MENU_POPUP || part != PART_MENU_ITEM ))
+- lastPopupRect = QRect();
+-
+- // put not implemented types here
+- if (type == CTRL_SPINBUTTONS)
+- {
++ bool nativeSupport = IsNativeControlSupported( type, part );
++ if( ! nativeSupport ) {
++ assert( ! nativeSupport && "drawNativeControl called without native support!" );
+ return false;
+ }
+
++ if( lastPopupRect.isValid() && ( type != CTRL_MENU_POPUP || part != PART_MENU_ITEM ))
++ lastPopupRect = QRect();
++
+ bool returnVal = true;
+
+ QRect widgetRect = region2QRect(rControlRegion);
+@@ -414,24 +410,26 @@
+ }
+ else if (type == CTRL_LISTBOX)
+ {
+- if( part == PART_WINDOW )
+- {
+- lcl_drawFrame( QStyle::PE_Frame, m_image,
+- vclStateValue2StateFlag(nControlState, value) );
+- }
+- else
+- {
+- QStyleOptionComboBox option;
+- if (part == PART_SUB_EDIT)
+- {
++ QStyleOptionComboBox option;
++ switch (part) {
++ case PART_WINDOW:
++ lcl_drawFrame( QStyle::PE_Frame, m_image,
++ vclStateValue2StateFlag(nControlState, value) );
++ break;
++ case PART_SUB_EDIT:
+ draw( QStyle::CE_ComboBoxLabel, &option, m_image,
+ vclStateValue2StateFlag(nControlState, value) );
+- }
+- else
+- {
++ break;
++ case PART_ENTIRE_CONTROL:
++ draw( QStyle::CC_ComboBox, &option, m_image,
++ vclStateValue2StateFlag(nControlState, value) );
++ break;
++ case PART_BUTTON_DOWN:
++ m_image->fill( Qt::transparent );
++ option.subControls = QStyle::SC_ComboBoxArrow;
+ draw( QStyle::CC_ComboBox, &option, m_image,
+ vclStateValue2StateFlag(nControlState, value) );
+- }
++ break;
+ }
+ }
+ else if (type == CTRL_LISTNODE)
+@@ -652,6 +650,12 @@
+ const OUString&,
+ Rectangle &nativeBoundingRegion, Rectangle &nativeContentRegion )
+ {
++ bool nativeSupport = IsNativeControlSupported( type, part );
++ if( ! nativeSupport ) {
++ assert( ! nativeSupport && "drawNativeControl called without native support!" );
++ return false;
++ }
++
+ bool retVal = false;
+
+ QRect boundingRect = region2QRect( controlRegion );
+@@ -733,8 +737,6 @@
+ {
+ case PART_ENTIRE_CONTROL:
+ {
+- int size = QApplication::style()->pixelMetric(QStyle::PM_ComboBoxFrameWidth) - 2;
+-
+ // find out the minimum size that should be used
+ // assume contents is a text ling
+ int nHeight = QApplication::fontMetrics().height();
+@@ -747,8 +749,10 @@
+ // FIXME: why this difference between comboboxes and listboxes ?
+ // because a combobox has a sub edit and that is positioned
+ // inside the outer bordered control ?
+- if( type == CTRL_COMBOBOX )
++ if( type == CTRL_COMBOBOX ) {
++ int size = QApplication::style()->pixelMetric(QStyle::PM_ComboBoxFrameWidth) - 2;
+ contentRect.adjust(-size,-size,size,size);
++ }
+ retVal = true;
+ break;
+ }
+@@ -761,13 +765,22 @@
+ retVal = true;
+ break;
+ case PART_SUB_EDIT:
++ {
+ contentRect = QApplication::style()->subControlRect(
+ QStyle::CC_ComboBox, &cbo, QStyle::SC_ComboBoxEditField );
+
+- contentRect.translate( boundingRect.left(), boundingRect.top() );
++ int hmargin = QApplication::style()->pixelMetric(
++ QStyle::PM_FocusFrameHMargin, &styleOption);
++ int vmargin = QApplication::style()->pixelMetric(
++ QStyle::PM_FocusFrameVMargin, &styleOption);
++
++ contentRect.translate( boundingRect.left() + hmargin, boundingRect.top() + vmargin );
++ contentRect.adjust( 0, 0, -2 * hmargin, -2 * vmargin );
++ boundingRect = contentRect;
+
+ retVal = true;
+ break;
++ }
+ case PART_WINDOW:
+ retVal = true;
+ break;
diff --git a/app-office/libreoffice/files/libreoffice-4.4.4.3-fix-KDE4-FileDialog.patch b/app-office/libreoffice/files/libreoffice-4.4.4.3-fix-KDE4-FileDialog.patch
new file mode 100644
index 000000000000..2247781443bd
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-4.4.4.3-fix-KDE4-FileDialog.patch
@@ -0,0 +1,76 @@
+From e7352d5ada69f212dc813c4cbd257d036e7a27c8 Mon Sep 17 00:00:00 2001
+From: Juergen Funk <juergen.funk_ml@cib.de>
+Date: Fri, 3 Jul 2015 08:33:03 +0200
+Subject: tdf#92517 KDE4-FileDialog: "Save as" has wrong Filter
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Fixing follow
+ - The order of calling: first should be set the filter, after
+ that can be set the current filter
+ - change the function from "setCurrentFilter" to "setCurrentItem"
+ When you set the filter over "setCurrentFilter" you need the full
+ search string "extention|description" e.g. "*.docx|Microsoft Word.."
+ - Not need the escape of slash (with that can not find
+ "Microsoft Word 2007/2010 XML (.docx))"
+
+Change-Id: Ie4f7d6fd619b391487ee944c3e745c855600ee54
+Reviewed-on: https://gerrit.libreoffice.org/16721
+Tested-by: Jenkins <ci@libreoffice.org>
+Reviewed-by: Katarina Behrens <Katarina.Behrens@cib.de>
+(cherry picked from commit a93cfd5afb9072de00fc4b2a070f23ebdad6e4fe)
+Reviewed-on: https://gerrit.libreoffice.org/16890
+Reviewed-by: Caolán McNamara <caolanm@redhat.com>
+Tested-by: Caolán McNamara <caolanm@redhat.com>
+
+diff --git a/vcl/unx/kde4/KDE4FilePicker.cxx b/vcl/unx/kde4/KDE4FilePicker.cxx
+index 4615bd4..a638955 100644
+--- a/vcl/unx/kde4/KDE4FilePicker.cxx
++++ b/vcl/unx/kde4/KDE4FilePicker.cxx
+@@ -250,6 +250,10 @@ sal_Int16 SAL_CALL KDE4FilePicker::execute()
+
+ _dialog->clearFilter();
+ _dialog->setFilter(_filter);
++
++ if(!_currentFilter.isNull())
++ _dialog->filterWidget()->setCurrentItem(_currentFilter);
++
+ _dialog->filterWidget()->setEditable(false);
+
+ VCLKDEApplication::preDialogSetup();
+@@ -384,9 +388,7 @@ void SAL_CALL KDE4FilePicker::setCurrentFilter( const OUString &title )
+ return Q_EMIT setCurrentFilterSignal( title );
+ }
+
+- QString t = toQString(title);
+- t.replace("/", "\\/");
+- _dialog->filterWidget()->setCurrentFilter(t);
++ _currentFilter = toQString(title);
+ }
+
+ OUString SAL_CALL KDE4FilePicker::getCurrentFilter()
+@@ -633,6 +635,7 @@ void SAL_CALL KDE4FilePicker::initialize( const uno::Sequence<uno::Any> &args )
+ }
+
+ _filter.clear();
++ _currentFilter.clear();
+
+ // parameter checking
+ uno::Any arg;
+diff --git a/vcl/unx/kde4/KDE4FilePicker.hxx b/vcl/unx/kde4/KDE4FilePicker.hxx
+index 98e9af6..ff3a8602 100644
+--- a/vcl/unx/kde4/KDE4FilePicker.hxx
++++ b/vcl/unx/kde4/KDE4FilePicker.hxx
+@@ -66,6 +66,8 @@ protected:
+
+ //running filter string to add to dialog
+ QString _filter;
++ // string to set the current filter
++ QString _currentFilter;
+
+ //mapping of SAL control ID's to created custom controls
+ QHash<sal_Int16, QWidget*> _customWidgets;
+--
+cgit v0.10.2
+
diff --git a/app-office/libreoffice/files/libreoffice-4.4.4.3-improve-KDE4FilePicker.patch b/app-office/libreoffice/files/libreoffice-4.4.4.3-improve-KDE4FilePicker.patch
new file mode 100644
index 000000000000..d0350e489697
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-4.4.4.3-improve-KDE4FilePicker.patch
@@ -0,0 +1,193 @@
+Merged upstream commits:
+
+6fc55b9abd783b624241d56e34751ea495adbd7d "KDE4: actually apply file dialog operation mode"
+b613270a730ace29dd1b16b29be2222b34f34a5d "KDE4: improve default load and save dialog titles"
+2b999dd6da5a90db66afe852a007fab8c62ffaec "vcl: kde4: loplugin:staticmethods"
+3e8c14df67a43d3088ed7df0a2b0d96a4bc42d57 "tdf#92353 FileSave: Not confirmed for overwrite a file (unix)"
+
+
+diff -u b/vcl/unx/kde4/KDE4FilePicker.cxx b/vcl/unx/kde4/KDE4FilePicker.cxx
+--- b/vcl/unx/kde4/KDE4FilePicker.cxx
++++ b/vcl/unx/kde4/KDE4FilePicker.cxx
+@@ -58,6 +58,8 @@
+
+ #include "generic/geninst.h"
+
++#include "svids.hrc"
++
+ using namespace ::com::sun::star;
+ using namespace ::com::sun::star::ui::dialogs;
+ using namespace ::com::sun::star::ui::dialogs::TemplateDescription;
+@@ -109,7 +111,6 @@
+
+ KDE4FilePicker::KDE4FilePicker( const uno::Reference<uno::XComponentContext>& )
+ : KDE4FilePicker_Base(_helperMutex)
+- , _resMgr( ResMgr::CreateResMgr("fps_office") )
+ , allowRemoteUrls( false )
+ {
+ _extraControls = new QWidget();
+@@ -128,8 +129,6 @@
+ #endif
+
+ setMultiSelectionMode( false );
+- //default mode
+- _dialog->setOperationMode(KFileDialog::Opening);
+
+ // XExecutableDialog functions
+ connect( this, SIGNAL( setTitleSignal( const OUString & ) ),
+@@ -202,7 +201,6 @@
+ SalYieldMutexReleaser aReleaser;
+ return Q_EMIT cleanupProxySignal();
+ }
+- delete _resMgr;
+ delete _dialog;
+ }
+
+@@ -524,6 +522,24 @@
+ return toOUString(label);
+ }
+
++QString KDE4FilePicker::getResString( sal_Int16 aRedId )
++{
++ QString aResString;
++
++ if( aRedId < 0 )
++ return aResString;
++
++ try
++ {
++ aResString = toQString(ResId(aRedId, *ImplGetResMgr()).toString());
++ }
++ catch(...)
++ {
++ }
++
++ return aResString.replace('~', '&');
++}
++
+ void KDE4FilePicker::addCustomControl(sal_Int16 controlId)
+ {
+ QWidget* widget = 0;
+@@ -532,37 +548,37 @@
+ switch (controlId)
+ {
+ case CHECKBOX_AUTOEXTENSION:
+- resId = STR_SVT_FILEPICKER_AUTO_EXTENSION;
++ resId = STR_FPICKER_AUTO_EXTENSION;
+ break;
+ case CHECKBOX_PASSWORD:
+- resId = STR_SVT_FILEPICKER_PASSWORD;
++ resId = STR_FPICKER_PASSWORD;
+ break;
+ case CHECKBOX_FILTEROPTIONS:
+- resId = STR_SVT_FILEPICKER_FILTER_OPTIONS;
++ resId = STR_FPICKER_FILTER_OPTIONS;
+ break;
+ case CHECKBOX_READONLY:
+- resId = STR_SVT_FILEPICKER_READONLY;
++ resId = STR_FPICKER_READONLY;
+ break;
+ case CHECKBOX_LINK:
+- resId = STR_SVT_FILEPICKER_INSERT_AS_LINK;
++ resId = STR_FPICKER_INSERT_AS_LINK;
+ break;
+ case CHECKBOX_PREVIEW:
+- resId = STR_SVT_FILEPICKER_SHOW_PREVIEW;
++ resId = STR_FPICKER_SHOW_PREVIEW;
+ break;
+ case CHECKBOX_SELECTION:
+- resId = STR_SVT_FILEPICKER_SELECTION;
++ resId = STR_FPICKER_SELECTION;
+ break;
+ case PUSHBUTTON_PLAY:
+- resId = STR_SVT_FILEPICKER_PLAY;
++ resId = STR_FPICKER_PLAY;
+ break;
+ case LISTBOX_VERSION:
+- resId = STR_SVT_FILEPICKER_VERSION;
++ resId = STR_FPICKER_VERSION;
+ break;
+ case LISTBOX_TEMPLATE:
+- resId = STR_SVT_FILEPICKER_TEMPLATES;
++ resId = STR_FPICKER_TEMPLATES;
+ break;
+ case LISTBOX_IMAGE_TEMPLATE:
+- resId = STR_SVT_FILEPICKER_IMAGE_TEMPLATE;
++ resId = STR_FPICKER_IMAGE_TEMPLATE;
+ break;
+ case LISTBOX_VERSION_LABEL:
+ case LISTBOX_TEMPLATE_LABEL:
+@@ -581,16 +597,7 @@
+ case CHECKBOX_PREVIEW:
+ case CHECKBOX_SELECTION:
+ {
+- QString label;
+-
+- if (_resMgr && resId != -1)
+- {
+- OUString s(ResId(resId, *_resMgr).toString());
+- label = toQString(s);
+- label.replace("~", "&");
+- }
+-
+- widget = new QCheckBox(label, _extraControls);
++ widget = new QCheckBox(getResString(resId), _extraControls);
+
+ // the checkbox is created even for CHECKBOX_AUTOEXTENSION to simplify
+ // code, but the checkbox is hidden and ignored
+@@ -719,8 +726,23 @@
+ 1 );
+ }
+
+- _dialog->setOperationMode(operationMode);
+- _dialog->setConfirmOverwrite(true);
++ _dialog->setOperationMode( operationMode );
++
++ sal_Int16 resId = -1;
++ switch (_dialog->operationMode())
++ {
++ case KFileDialog::Opening:
++ resId = STR_FPICKER_OPEN;
++ break;
++ case KFileDialog::Saving:
++ resId = STR_FPICKER_SAVE;
++ _dialog->setConfirmOverwrite( true );
++ break;
++ default:
++ break;
++ }
++
++ _dialog->setCaption(getResString(resId));
+ }
+
+ void SAL_CALL KDE4FilePicker::cancel()
+diff -u b/vcl/unx/kde4/KDE4FilePicker.hxx b/vcl/unx/kde4/KDE4FilePicker.hxx
+--- b/vcl/unx/kde4/KDE4FilePicker.hxx
++++ b/vcl/unx/kde4/KDE4FilePicker.hxx
+@@ -41,8 +41,6 @@
+ class QWidget;
+ class QLayout;
+
+-class ResMgr;
+-
+ typedef ::cppu::WeakComponentImplHelper5
+ < ::com::sun::star::ui::dialogs::XFilePicker2
+ , ::com::sun::star::ui::dialogs::XFilePicker3
+@@ -61,8 +59,6 @@
+
+ ::com::sun::star::uno::Reference< ::com::sun::star::ui::dialogs::XFilePickerListener > m_xListener;
+
+- ResMgr *_resMgr;
+-
+ //the dialog to display
+ KFileDialog* _dialog;
+
+@@ -225,6 +221,8 @@
+ //add a custom control widget to the file dialog
+ void addCustomControl(sal_Int16 controlId);
+
++ static QString getResString( sal_Int16 aRedId );
++
+ private Q_SLOTS:
+ void cleanupProxy();
+ void checkProtocol();
diff --git a/app-office/libreoffice/libreoffice-4.4.4.3.ebuild b/app-office/libreoffice/libreoffice-4.4.4.3.ebuild
new file mode 100644
index 000000000000..8910174eb484
--- /dev/null
+++ b/app-office/libreoffice/libreoffice-4.4.4.3.ebuild
@@ -0,0 +1,615 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.4.4.3.ebuild,v 1.1 2015/07/12 20:54:02 dilfridge Exp $
+
+EAPI=5
+
+KDE_REQUIRED="optional"
+QT_MINIMAL="4.7.4"
+KDE_SCM="git"
+CMAKE_REQUIRED="never"
+
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+PYTHON_REQ_USE="threads,xml"
+
+# experimental ; release ; old
+# Usually the tarballs are moved a lot so this should make
+# everyone happy.
+DEV_URI="
+ http://dev-builds.libreoffice.org/pre-releases/src
+ http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
+ http://download.documentfoundation.org/libreoffice/old/${PV}/
+"
+EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
+ADDONS_URI="http://dev-www.libreoffice.org/src/"
+
+BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
+# PATCHSET="${P}-patchset-01.tar.xz"
+
+[[ ${PV} == *9999* ]] && SCM_ECLASS="git-r3"
+inherit base multiprocessing autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic versionator ${SCM_ECLASS}
+unset SCM_ECLASS
+
+DESCRIPTION="LibreOffice, a full office productivity suite"
+HOMEPAGE="http://www.libreoffice.org"
+SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
+[[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
+
+# Split modules following git/tarballs
+# Core MUST be first!
+# Help is used for the image generator
+MODULES="core help"
+# Only release has the tarballs
+if [[ ${PV} != *9999* ]]; then
+ for i in ${DEV_URI}; do
+ for mod in ${MODULES}; do
+ if [[ ${mod} == core ]]; then
+ SRC_URI+=" ${i}/${P}.tar.xz"
+ else
+ SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
+ fi
+ done
+ unset mod
+ done
+ unset i
+fi
+unset DEV_URI
+
+# Really required addons
+# These are bundles that can't be removed for now due to huge patchsets.
+# If you want them gone, patches are welcome.
+ADDONS_SRC+=" ${ADDONS_URI}/d62650a6f908e85643e557a236ea989c-vigra1.6.0.tar.gz"
+ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
+ADDONS_SRC+=" collada? ( ${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2 )"
+ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
+ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
+ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
+ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
+ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
+SRC_URI+=" ${ADDONS_SRC}"
+
+unset ADDONS_URI
+unset EXT_URI
+unset ADDONS_SRC
+
+IUSE="bluetooth +branding coinmp collada +cups dbus debug eds firebird gltf gnome gstreamer
++gtk gtk3 jemalloc kde mysql odk postgres telepathy test vlc"
+
+LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
+# Unpackaged separate extensions:
+# diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
+# hunart: only on ooo extensions -> fubared download path somewhere on sf
+# numbertext, typo, validator, watch-window: ^^
+# oooblogger: no homepage or anything
+# Extensions that need extra work:
+for lo_xt in ${LO_EXTS}; do
+ IUSE+=" libreoffice_extensions_${lo_xt}"
+done
+unset lo_xt
+
+LICENSE="|| ( LGPL-3 MPL-1.1 )"
+SLOT="0"
+[[ ${PV} == *9999* ]] || \
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ app-arch/zip
+ app-arch/unzip
+ >=app-text/hunspell-1.3.2-r3
+ app-text/mythes
+ >=app-text/libabw-0.1.0
+ >=app-text/libexttextcat-3.2
+ >=app-text/libebook-0.1.1
+ >=app-text/libetonyek-0.1.1
+ app-text/liblangtag
+ >=app-text/libmspub-0.1.0
+ >=app-text/libmwaw-0.3.4
+ >=app-text/libodfgen-0.1.0
+ app-text/libwpd:0.10[tools]
+ app-text/libwpg:0.3
+ =app-text/libwps-0.3*
+ >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
+ >=dev-cpp/clucene-2.3.3.4-r2
+ =dev-cpp/libcmis-0.5*
+ dev-db/unixODBC
+ >=dev-libs/boost-1.55:=
+ dev-libs/expat
+ >=dev-libs/hyphen-2.7.1
+ >=dev-libs/icu-4.8.1.1:=
+ =dev-libs/liborcus-0.7*
+ >=dev-libs/librevenge-0.0.1
+ >=dev-libs/nspr-4.8.8
+ >=dev-libs/nss-3.12.9
+ >=dev-lang/perl-5.0
+ >=dev-libs/openssl-1.0.0d:0
+ >=dev-libs/redland-1.0.16
+ media-gfx/graphite2
+ >=media-libs/fontconfig-2.8.0
+ media-libs/freetype:2
+ >=media-libs/glew-1.10
+ >=media-libs/harfbuzz-0.9.18:=[icu(+)]
+ media-libs/lcms:2
+ >=media-libs/libpng-1.4:0=
+ >=media-libs/libcdr-0.1.0
+ >=media-libs/libfreehand-0.1.0
+ media-libs/libpagemaker
+ >=media-libs/libvisio-0.1.0
+ >=net-misc/curl-7.21.4
+ net-libs/neon
+ net-nds/openldap
+ sci-mathematics/lpsolve
+ virtual/jpeg:0
+ >=x11-libs/cairo-1.10.0[X]
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ virtual/glu
+ virtual/opengl
+ bluetooth? ( net-wireless/bluez )
+ coinmp? ( sci-libs/coinor-mp )
+ collada? ( >=media-libs/opencollada-1.2.2_p20150207 )
+ cups? ( net-print/cups )
+ dbus? ( >=dev-libs/dbus-glib-0.92 )
+ eds? ( gnome-extra/evolution-data-server )
+ firebird? ( >=dev-db/firebird-2.5 )
+ gltf? ( media-libs/libgltf )
+ gnome? ( gnome-base/gconf:2 )
+ gtk? (
+ x11-libs/gdk-pixbuf[X]
+ >=x11-libs/gtk+-2.24:2
+ )
+ gtk3? ( >=x11-libs/gtk+-3.2:3 )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ )
+ jemalloc? ( dev-libs/jemalloc )
+ libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
+ libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
+ libreoffice_extensions_wiki-publisher? (
+ dev-java/commons-codec:0
+ dev-java/commons-httpclient:3
+ dev-java/commons-lang:2.1
+ dev-java/commons-logging:0
+ dev-java/tomcat-servlet-api:3.0
+ )
+ mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
+ postgres? ( >=dev-db/postgresql-9.0:*[kerberos] )
+ telepathy? (
+ dev-libs/glib:2
+ >=net-libs/telepathy-glib-0.18.0
+ >=x11-libs/gtk+-2.24:2
+ )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ !app-office/libreoffice-bin
+ !app-office/libreoffice-bin-debug
+ !<app-office/openoffice-bin-3.4.0-r1
+ !app-office/openoffice
+ media-fonts/libertine
+ media-fonts/liberation-fonts
+ media-fonts/urw-fonts
+ java? ( >=virtual/jre-1.6 )
+ kde? ( $(add_kdeapps_dep kioclient) )
+ vlc? ( media-video/vlc )
+"
+
+if [[ ${PV} != *9999* ]]; then
+ PDEPEND="=app-office/libreoffice-l10n-$(get_version_component_range 1-2)*"
+else
+ # Translations are not reliable on live ebuilds
+ # rather force people to use english only.
+ PDEPEND="!app-office/libreoffice-l10n"
+fi
+
+# FIXME: cppunit should be moved to test conditional
+# after everything upstream is under gbuild
+# as dmake execute tests right away
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/libatomic_ops-7.2d
+ >=dev-libs/libxml2-2.7.8
+ dev-libs/libxslt
+ dev-perl/Archive-Zip
+ dev-util/cppunit
+ >=dev-util/gperf-3
+ dev-util/intltool
+ >=dev-util/mdds-0.11.2:=
+ media-libs/glm
+ net-misc/npapi-sdk
+ >=sys-apps/findutils-4.4.2
+ sys-devel/bison
+ sys-apps/coreutils
+ sys-devel/flex
+ sys-devel/gettext
+ >=sys-devel/make-3.82
+ sys-devel/ucpp
+ sys-libs/zlib
+ virtual/pkgconfig
+ x11-libs/libXt
+ x11-libs/libXtst
+ x11-proto/randrproto
+ x11-proto/xextproto
+ x11-proto/xineramaproto
+ x11-proto/xproto
+ java? (
+ >=virtual/jdk-1.6
+ >=dev-java/ant-core-1.7
+ )
+ odk? ( >=app-doc/doxygen-1.8.4 )
+ test? ( dev-util/cppunit )
+"
+
+PATCHES=(
+ # not upstreamable stuff
+ "${FILESDIR}/${PN}-4.4-system-pyuno.patch"
+
+ # from master branch
+ "${FILESDIR}/${PN}-4.3.5.2-remove-bashisms.patch" # bug 525454
+ "${FILESDIR}/${PN}-4.4.0.3-telepathy-build-fix.patch"
+ "${FILESDIR}/${PN}-4.4.1.2-add-kde4-open-url-script.patch"
+ "${FILESDIR}/${PN}-4.4.4.3-improve-KDE4FilePicker.patch"
+ "${FILESDIR}/${PN}-4.4.4.3-fix-KDE4-FileDialog.patch"
+ "${FILESDIR}/${PN}-4.4.4.3-cleanup-IsNativeControlSupported.patch"
+)
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ bluetooth? ( dbus )
+ collada? ( gltf )
+ gnome? ( gtk )
+ eds? ( gnome )
+ telepathy? ( gtk )
+ libreoffice_extensions_nlpsolver? ( java )
+ libreoffice_extensions_scripting-beanshell? ( java )
+ libreoffice_extensions_scripting-javascript? ( java )
+ libreoffice_extensions_wiki-publisher? ( java )
+"
+
+CHECKREQS_MEMORY="512M"
+CHECKREQS_DISK_BUILD="6G"
+
+pkg_pretend() {
+ local pgslot
+
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ check-reqs_pkg_pretend
+
+ if [[ $(gcc-major-version) -lt 4 ]] || \
+ ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
+ ; then
+ eerror "Compilation with gcc older than 4.6 is not supported"
+ die "Too old gcc found."
+ fi
+ fi
+
+ # Ensure pg version but we have to be sure the pg is installed (first
+ # install on clean system)
+ if use postgres && has_version dev-db/postgresql; then
+ pgslot=$(postgresql-config show)
+ if [[ ${pgslot//.} < 90 ]] ; then
+ eerror "PostgreSQL slot must be set to 9.0 or higher."
+ eerror " postgresql-config set 9.0"
+ die "PostgreSQL slot is not set to 9.0 or higher."
+ fi
+ fi
+}
+
+pkg_setup() {
+ java-pkg-opt-2_pkg_setup
+ kde4-base_pkg_setup
+ python-single-r1_pkg_setup
+
+ [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
+}
+
+src_unpack() {
+ local mod mod2 dest tmplfile tmplname mypv
+
+ [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
+ use branding && unpack "${BRANDING}"
+
+ if [[ ${PV} != *9999* ]]; then
+ unpack "${P}.tar.xz"
+ for mod in ${MODULES}; do
+ [[ ${mod} == core ]] && continue
+ unpack "${PN}-${mod}-${PV}.tar.xz"
+ done
+ else
+ for mod in ${MODULES}; do
+ mypv=${PV/.9999}
+ [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
+ EGIT_CHECKOUT_DIR="${WORKDIR}/${P}"
+ [[ ${mod} != core ]] && EGIT_CHECKOUT_DIR="${WORKDIR}/${PN}-${mod}-${PV}"
+ EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
+ git-r3_src_unpack
+ if [[ ${mod} != core ]]; then
+ mod2=${mod}
+ # mapping does not match on help
+ [[ ${mod} == help ]] && mod2="helpcontent2"
+ mkdir -p "${S}/${mod2}/" || die
+ mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
+ rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
+ fi
+ done
+ unset EGIT_CHECKOUT_DIR EGIT_REPO_URI EGIT_BRANCH
+ fi
+}
+
+src_prepare() {
+ # optimization flags
+ export GMAKE_OPTIONS="${MAKEOPTS}"
+ # System python 2.7 enablement:
+ export PYTHON_CFLAGS=$(python_get_CFLAGS)
+ export PYTHON_LIBS=$(python_get_LIBS)
+
+ if use collada; then
+ export OPENCOLLADA_CFLAGS="-I/usr/include/opencollada/COLLADABaseUtils -I/usr/include/opencollada/COLLADAFramework -I/usr/include/opencollada/COLLADASaxFrameworkLoader -I/usr/include/opencollada/GeneratedSaxParser"
+ export OPENCOLLADA_LIBS="-L /usr/$(get_libdir)/opencollada -lOpenCOLLADABaseUtils -lOpenCOLLADAFramework -lOpenCOLLADASaxFrameworkLoader -lGeneratedSaxParser"
+ fi
+
+ # patchset
+ if [[ -n ${PATCHSET} ]]; then
+ EPATCH_FORCE="yes" \
+ EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
+ EPATCH_SUFFIX="patch" \
+ epatch
+ fi
+
+ base_src_prepare
+
+ AT_M4DIR="m4" eautoreconf
+ # hack in the autogen.sh
+ touch autogen.lastrun
+
+ # system pyuno mess
+ sed \
+ -e "s:%eprefix%:${EPREFIX}:g" \
+ -e "s:%libdir%:$(get_libdir):g" \
+ -i pyuno/source/module/uno.py \
+ -i pyuno/source/officehelper.py || die
+ # sed in the tests
+ sed -i \
+ -e 's#all : build unitcheck#all : build#g' \
+ solenv/gbuild/Module.mk || die
+ sed -i \
+ -e 's#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g' \
+ -e 's#Makefile.gbuild all slowcheck#Makefile.gbuild all#g' \
+ Makefile.in || die
+
+ if use branding; then
+ # hack...
+ mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
+ fi
+}
+
+src_configure() {
+ local java_opts
+ local internal_libs
+ local lo_ext
+ local ext_opts
+
+ # sane: just sane.h header that is used for scan in writer, not
+ # linked or anything else, worthless to depend on
+ # vigra: just uses templates from there
+ # it is serious pain in the ass for packaging
+ # should be replaced by boost::gil if someone interested
+ internal_libs+="
+ --without-system-sane
+ --without-system-vigra
+ "
+
+ # libreoffice extensions handling
+ for lo_xt in ${LO_EXTS}; do
+ if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
+ ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
+ else
+ ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
+ fi
+ done
+
+ if use java; then
+ # hsqldb: system one is too new
+ java_opts="
+ --without-junit
+ --without-system-hsqldb
+ --with-ant-home="${ANT_HOME}"
+ --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
+ --with-jvm-path="${EPREFIX}/usr/lib/"
+ "
+
+ use libreoffice_extensions_scripting-beanshell && \
+ java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
+
+ use libreoffice_extensions_scripting-javascript && \
+ java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
+
+ if use libreoffice_extensions_wiki-publisher; then
+ java_opts+="
+ --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
+ --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
+ --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
+ --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
+ --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
+ "
+ fi
+ fi
+
+ # system headers/libs/...: enforce using system packages
+ # --enable-cairo: ensure that cairo is always required
+ # --enable-graphite: disabling causes build breakages
+ # --enable-*-link: link to the library rather than just dlopen on runtime
+ # --enable-release-build: build the libreoffice as release
+ # --disable-fetch-external: prevent dowloading during compile phase
+ # --disable-gnome-vfs: old gnome virtual fs support
+ # --disable-kdeab: kde3 adressbook
+ # --disable-kde: kde3 support
+ # --disable-systray: quickstarter does not actually work at all so do not
+ # promote it
+ # --enable-extension-integration: enable any extension integration support
+ # --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
+ # --disable-report-builder: too much java packages pulled in without pkgs
+ econf \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
+ --with-system-headers \
+ --with-system-libs \
+ --with-system-jars \
+ --with-system-dicts \
+ --enable-cairo-canvas \
+ --enable-graphite \
+ --enable-largefile \
+ --enable-mergelibs \
+ --enable-neon \
+ --enable-python=system \
+ --enable-randr \
+ --enable-randr-link \
+ --enable-release-build \
+ --disable-hardlink-deliver \
+ --disable-ccache \
+ --disable-crashdump \
+ --disable-dependency-tracking \
+ --disable-epm \
+ --disable-fetch-external \
+ --disable-gnome-vfs \
+ --disable-gstreamer-0-10 \
+ --disable-report-builder \
+ --disable-kdeab \
+ --disable-kde \
+ --disable-online-update \
+ --disable-systray \
+ --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
+ --with-build-version="Gentoo official package" \
+ --enable-extension-integration \
+ --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-tar="${DISTDIR}" \
+ --with-lang="" \
+ --with-parallelism=$(makeopts_jobs) \
+ --with-system-ucpp \
+ --with-vendor="Gentoo Foundation" \
+ --with-x \
+ --without-fonts \
+ --without-myspell-dicts \
+ --without-help \
+ --with-helppack-integration \
+ --without-sun-templates \
+ $(use_enable bluetooth sdremote-bluetooth) \
+ $(use_enable coinmp) \
+ $(use_enable collada) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable dbus) \
+ $(use_enable eds evolution2) \
+ $(use_enable firebird firebird-sdbc) \
+ $(use_enable gltf) \
+ $(use_enable gnome gconf) \
+ $(use_enable gnome gio) \
+ $(use_enable gnome lockdown) \
+ $(use_enable gstreamer gstreamer-1-0) \
+ $(use_enable gtk) \
+ $(use_enable gtk3) \
+ $(use_enable kde kde4) \
+ $(use_enable mysql ext-mariadb-connector) \
+ $(use_enable odk) \
+ $(use_enable postgres postgresql-sdbc) \
+ $(use_enable telepathy) \
+ $(use_enable vlc) \
+ $(use_with coinmp system-coinmp) \
+ $(use_with collada system-opencollada) \
+ $(use_with gltf system-libgltf) \
+ $(use_with java) \
+ $(use_with mysql system-mysql-cppconn) \
+ $(use_with odk doxygen) \
+ ${internal_libs} \
+ ${java_opts} \
+ ${ext_opts}
+}
+
+src_compile() {
+ # more and more LO stuff tries to use OpenGL, including tests during build
+ # bug 501508, bug 540624, bug 545974 and probably more
+ addpredict /dev/dri
+ addpredict /dev/ati
+ addpredict /dev/nvidiactl
+
+ # hack for offlinehelp, this needs fixing upstream at some point
+ # it is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ (
+ grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
+ source "${T}/config_host.mk" 2&> /dev/null
+
+ local path="${WORKDIR}/helpcontent2/source/auxiliary/"
+ mkdir -p "${path}" || die
+
+ echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
+ perl "${S}/helpcontent2/helpers/create_ilst.pl" \
+ -dir=icon-themes/galaxy/res/helpimg \
+ > "${path}/helpimg.ilst"
+ [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
+ )
+
+ local target
+ use test && target="build" || target="build-nocheck"
+
+ # this is not a proper make script
+ make ${target} || die
+}
+
+src_test() {
+ make unitcheck || die
+ make slowcheck || die
+}
+
+src_install() {
+ # This is not Makefile so no buildserver
+ make DESTDIR="${D}" distro-pack-install -o build -o check || die
+
+ # Fix bash completion placement
+ newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
+ bashcomp_alias \
+ libreoffice \
+ unopkg loimpress lobase localc lodraw lomath lowriter lofromtemplate loweb loffice
+ rm -rf "${ED}"/etc/ || die
+
+ if use branding; then
+ insinto /usr/$(get_libdir)/${PN}/program
+ newins "${WORKDIR}/branding-sofficerc" sofficerc
+ dodir /etc/env.d
+ echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN}
+ fi
+
+ # Hack for offlinehelp, this needs fixing upstream at some point.
+ # It is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ insinto /usr/$(get_libdir)/libreoffice/help
+ doins xmlhelp/util/*.xsl
+
+ # Remove desktop files for support to old installs that can't parse mime
+ rm -rf "${ED}"/usr/share/mimelnk/
+
+ # FIXME: Hack add missing file
+ insinto /usr/$(get_libdir)/${PN}/program
+ doins "${S}"/instdir/program/libsaxlo.so
+
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
+}
+
+pkg_preinst() {
+ # Cache updates - all handled by kde eclass for all environments
+ kde4-base_pkg_preinst
+}
+
+pkg_postinst() {
+ kde4-base_pkg_postinst
+
+ use java || \
+ ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
+}
+
+pkg_postrm() {
+ kde4-base_pkg_postrm
+}
diff --git a/app-office/libreoffice/libreoffice-4.4.9999.ebuild b/app-office/libreoffice/libreoffice-4.4.9999.ebuild
index c3c64fc1311a..4a4eb1383a7c 100644
--- a/app-office/libreoffice/libreoffice-4.4.9999.ebuild
+++ b/app-office/libreoffice/libreoffice-4.4.9999.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.4.9999.ebuild,v 1.15 2015/06/21 15:44:21 dilfridge Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.4.9999.ebuild,v 1.16 2015/07/12 20:54:02 dilfridge Exp $
EAPI=5
@@ -246,10 +246,12 @@ PATCHES=(
"${FILESDIR}/${PN}-4.4-system-pyuno.patch"
# from master branch
+ "${FILESDIR}/${PN}-4.3.5.2-remove-bashisms.patch" # bug 525454
"${FILESDIR}/${PN}-4.4.0.3-telepathy-build-fix.patch"
"${FILESDIR}/${PN}-4.4.1.2-add-kde4-open-url-script.patch"
- "${FILESDIR}/${PN}-4.4.1.2-improve-KDE4FilePicker.patch"
- "${FILESDIR}/${PN}-4.3.5.2-remove-bashisms.patch" # bug 525454
+ "${FILESDIR}/${PN}-4.4.4.3-improve-KDE4FilePicker.patch"
+ "${FILESDIR}/${PN}-4.4.4.3-fix-KDE4-FileDialog.patch"
+ "${FILESDIR}/${PN}-4.4.4.3-cleanup-IsNativeControlSupported.patch"
)
REQUIRED_USE="
diff --git a/app-office/libreoffice/libreoffice-5.0.0.3.ebuild b/app-office/libreoffice/libreoffice-5.0.0.3.ebuild
new file mode 100644
index 000000000000..8ebde7bafd0e
--- /dev/null
+++ b/app-office/libreoffice/libreoffice-5.0.0.3.ebuild
@@ -0,0 +1,609 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-5.0.0.3.ebuild,v 1.1 2015/07/12 20:54:02 dilfridge Exp $
+
+EAPI=5
+
+KDE_REQUIRED="optional"
+QT_MINIMAL="4.7.4"
+KDE_SCM="git"
+CMAKE_REQUIRED="never"
+
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+PYTHON_REQ_USE="threads,xml"
+
+# experimental ; release ; old
+# Usually the tarballs are moved a lot so this should make
+# everyone happy.
+DEV_URI="
+ http://dev-builds.libreoffice.org/pre-releases/src
+ http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
+ http://download.documentfoundation.org/libreoffice/old/${PV}/
+"
+EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
+ADDONS_URI="http://dev-www.libreoffice.org/src/"
+
+BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
+# PATCHSET="${P}-patchset-01.tar.xz"
+
+[[ ${PV} == *9999* ]] && SCM_ECLASS="git-r3"
+inherit base multiprocessing autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic versionator ${SCM_ECLASS}
+unset SCM_ECLASS
+
+DESCRIPTION="LibreOffice, a full office productivity suite"
+HOMEPAGE="http://www.libreoffice.org"
+SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
+[[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
+
+# Split modules following git/tarballs
+# Core MUST be first!
+# Help is used for the image generator
+MODULES="core help"
+# Only release has the tarballs
+if [[ ${PV} != *9999* ]]; then
+ for i in ${DEV_URI}; do
+ for mod in ${MODULES}; do
+ if [[ ${mod} == core ]]; then
+ SRC_URI+=" ${i}/${P}.tar.xz"
+ else
+ SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
+ fi
+ done
+ unset mod
+ done
+ unset i
+fi
+unset DEV_URI
+
+# Really required addons
+# These are bundles that can't be removed for now due to huge patchsets.
+# If you want them gone, patches are welcome.
+ADDONS_SRC+=" ${ADDONS_URI}/d62650a6f908e85643e557a236ea989c-vigra1.6.0.tar.gz"
+ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
+ADDONS_SRC+=" collada? ( ${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2 )"
+ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
+ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
+ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
+ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
+ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
+SRC_URI+=" ${ADDONS_SRC}"
+
+unset ADDONS_URI
+unset EXT_URI
+unset ADDONS_SRC
+
+IUSE="bluetooth +branding coinmp collada +cups dbus debug eds firebird gltf gnome gstreamer
++gtk gtk3 jemalloc kde mysql odk postgres telepathy test vlc"
+
+LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
+# Unpackaged separate extensions:
+# diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
+# hunart: only on ooo extensions -> fubared download path somewhere on sf
+# numbertext, typo, validator, watch-window: ^^
+# oooblogger: no homepage or anything
+# Extensions that need extra work:
+for lo_xt in ${LO_EXTS}; do
+ IUSE+=" libreoffice_extensions_${lo_xt}"
+done
+unset lo_xt
+
+LICENSE="|| ( LGPL-3 MPL-1.1 )"
+SLOT="0"
+[[ ${PV} == *9999* ]] || \
+KEYWORDS=""
+#KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ app-arch/zip
+ app-arch/unzip
+ >=app-text/hunspell-1.3.2-r3
+ app-text/mythes
+ >=app-text/libabw-0.1.0
+ >=app-text/libexttextcat-3.2
+ >=app-text/libebook-0.1.1
+ >=app-text/libetonyek-0.1.2
+ app-text/liblangtag
+ >=app-text/libmspub-0.1.0
+ >=app-text/libmwaw-0.3.5
+ >=app-text/libodfgen-0.1.0
+ app-text/libwpd:0.10[tools]
+ app-text/libwpg:0.3
+ =app-text/libwps-0.4*
+ >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
+ >=dev-cpp/clucene-2.3.3.4-r2
+ =dev-cpp/libcmis-0.5*
+ dev-db/unixODBC
+ >=dev-libs/boost-1.55:=
+ dev-libs/expat
+ >=dev-libs/hyphen-2.7.1
+ >=dev-libs/icu-4.8.1.1:=
+ =dev-libs/liborcus-0.7*
+ >=dev-libs/librevenge-0.0.1
+ >=dev-libs/nspr-4.8.8
+ >=dev-libs/nss-3.12.9
+ >=dev-lang/perl-5.0
+ >=dev-libs/openssl-1.0.0d:0
+ >=dev-libs/redland-1.0.16
+ media-gfx/graphite2
+ >=media-libs/fontconfig-2.8.0
+ media-libs/freetype:2
+ >=media-libs/glew-1.10
+ >=media-libs/harfbuzz-0.9.18:=[icu(+)]
+ media-libs/lcms:2
+ >=media-libs/libpng-1.4:0=
+ >=media-libs/libcdr-0.1.0
+ >=media-libs/libfreehand-0.1.0
+ media-libs/libpagemaker
+ >=media-libs/libvisio-0.1.0
+ >=net-misc/curl-7.21.4
+ net-libs/neon
+ net-nds/openldap
+ sci-mathematics/lpsolve
+ virtual/jpeg:0
+ >=x11-libs/cairo-1.10.0[X]
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ virtual/glu
+ virtual/opengl
+ bluetooth? ( net-wireless/bluez )
+ coinmp? ( sci-libs/coinor-mp )
+ collada? ( >=media-libs/opencollada-1.2.2_p20150207 )
+ cups? ( net-print/cups )
+ dbus? ( >=dev-libs/dbus-glib-0.92 )
+ eds? ( gnome-extra/evolution-data-server )
+ firebird? ( >=dev-db/firebird-2.5 )
+ gltf? ( media-libs/libgltf )
+ gnome? ( gnome-base/gconf:2 )
+ gtk? (
+ x11-libs/gdk-pixbuf[X]
+ >=x11-libs/gtk+-2.24:2
+ )
+ gtk3? ( >=x11-libs/gtk+-3.2:3 )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ )
+ jemalloc? ( dev-libs/jemalloc )
+ libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
+ libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
+ libreoffice_extensions_wiki-publisher? (
+ dev-java/commons-codec:0
+ dev-java/commons-httpclient:3
+ dev-java/commons-lang:2.1
+ dev-java/commons-logging:0
+ dev-java/tomcat-servlet-api:3.0
+ )
+ mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
+ postgres? ( >=dev-db/postgresql-9.0:*[kerberos] )
+ telepathy? (
+ dev-libs/glib:2
+ >=net-libs/telepathy-glib-0.18.0
+ >=x11-libs/gtk+-2.24:2
+ )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ !app-office/libreoffice-bin
+ !app-office/libreoffice-bin-debug
+ !<app-office/openoffice-bin-3.4.0-r1
+ !app-office/openoffice
+ media-fonts/libertine
+ media-fonts/liberation-fonts
+ media-fonts/urw-fonts
+ java? ( >=virtual/jre-1.6 )
+ kde? ( $(add_kdeapps_dep kioclient) )
+ vlc? ( media-video/vlc )
+"
+
+if [[ ${PV} != *9999* ]]; then
+ #PDEPEND="=app-office/libreoffice-l10n-$(get_version_component_range 1-2)*"
+ PDEPEND=">=app-office/libreoffice-l10n-4.4"
+else
+ # Translations are not reliable on live ebuilds
+ # rather force people to use english only.
+ PDEPEND="!app-office/libreoffice-l10n"
+fi
+
+# FIXME: cppunit should be moved to test conditional
+# after everything upstream is under gbuild
+# as dmake execute tests right away
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/libatomic_ops-7.2d
+ >=dev-libs/libxml2-2.7.8
+ dev-libs/libxslt
+ dev-perl/Archive-Zip
+ dev-util/cppunit
+ >=dev-util/gperf-3
+ dev-util/intltool
+ >=dev-util/mdds-0.12.0:=
+ media-libs/glm
+ net-misc/npapi-sdk
+ >=sys-apps/findutils-4.4.2
+ sys-devel/bison
+ sys-apps/coreutils
+ sys-devel/flex
+ sys-devel/gettext
+ >=sys-devel/make-3.82
+ sys-devel/ucpp
+ sys-libs/zlib
+ virtual/pkgconfig
+ x11-libs/libXt
+ x11-libs/libXtst
+ x11-proto/randrproto
+ x11-proto/xextproto
+ x11-proto/xineramaproto
+ x11-proto/xproto
+ java? (
+ >=virtual/jdk-1.6
+ >=dev-java/ant-core-1.7
+ )
+ odk? ( >=app-doc/doxygen-1.8.4 )
+ test? ( dev-util/cppunit )
+"
+
+PATCHES=(
+ # not upstreamable stuff
+ "${FILESDIR}/${PN}-4.4-system-pyuno.patch"
+)
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ bluetooth? ( dbus )
+ collada? ( gltf )
+ gnome? ( gtk )
+ eds? ( gnome )
+ telepathy? ( gtk )
+ libreoffice_extensions_nlpsolver? ( java )
+ libreoffice_extensions_scripting-beanshell? ( java )
+ libreoffice_extensions_scripting-javascript? ( java )
+ libreoffice_extensions_wiki-publisher? ( java )
+"
+
+CHECKREQS_MEMORY="512M"
+CHECKREQS_DISK_BUILD="6G"
+
+pkg_pretend() {
+ local pgslot
+
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ check-reqs_pkg_pretend
+
+ if [[ $(gcc-major-version) -lt 4 ]] || \
+ ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
+ ; then
+ eerror "Compilation with gcc older than 4.6 is not supported"
+ die "Too old gcc found."
+ fi
+ fi
+
+ # Ensure pg version but we have to be sure the pg is installed (first
+ # install on clean system)
+ if use postgres && has_version dev-db/postgresql; then
+ pgslot=$(postgresql-config show)
+ if [[ ${pgslot//.} < 90 ]] ; then
+ eerror "PostgreSQL slot must be set to 9.0 or higher."
+ eerror " postgresql-config set 9.0"
+ die "PostgreSQL slot is not set to 9.0 or higher."
+ fi
+ fi
+}
+
+pkg_setup() {
+ java-pkg-opt-2_pkg_setup
+ kde4-base_pkg_setup
+ python-single-r1_pkg_setup
+
+ [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
+}
+
+src_unpack() {
+ local mod mod2 dest tmplfile tmplname mypv
+
+ [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
+ use branding && unpack "${BRANDING}"
+
+ if [[ ${PV} != *9999* ]]; then
+ unpack "${P}.tar.xz"
+ for mod in ${MODULES}; do
+ [[ ${mod} == core ]] && continue
+ unpack "${PN}-${mod}-${PV}.tar.xz"
+ done
+ else
+ for mod in ${MODULES}; do
+ mypv=${PV/.9999}
+ [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
+ EGIT_CHECKOUT_DIR="${WORKDIR}/${P}"
+ [[ ${mod} != core ]] && EGIT_CHECKOUT_DIR="${WORKDIR}/${PN}-${mod}-${PV}"
+ EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
+ git-r3_src_unpack
+ if [[ ${mod} != core ]]; then
+ mod2=${mod}
+ # mapping does not match on help
+ [[ ${mod} == help ]] && mod2="helpcontent2"
+ mkdir -p "${S}/${mod2}/" || die
+ mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
+ rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
+ fi
+ done
+ unset EGIT_CHECKOUT_DIR EGIT_REPO_URI EGIT_BRANCH
+ fi
+}
+
+src_prepare() {
+ # optimization flags
+ export GMAKE_OPTIONS="${MAKEOPTS}"
+ # System python 2.7 enablement:
+ export PYTHON_CFLAGS=$(python_get_CFLAGS)
+ export PYTHON_LIBS=$(python_get_LIBS)
+
+ if use collada; then
+ export OPENCOLLADA_CFLAGS="-I/usr/include/opencollada/COLLADABaseUtils -I/usr/include/opencollada/COLLADAFramework -I/usr/include/opencollada/COLLADASaxFrameworkLoader -I/usr/include/opencollada/GeneratedSaxParser"
+ export OPENCOLLADA_LIBS="-L /usr/$(get_libdir)/opencollada -lOpenCOLLADABaseUtils -lOpenCOLLADAFramework -lOpenCOLLADASaxFrameworkLoader -lGeneratedSaxParser"
+ fi
+
+ # patchset
+ if [[ -n ${PATCHSET} ]]; then
+ EPATCH_FORCE="yes" \
+ EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
+ EPATCH_SUFFIX="patch" \
+ epatch
+ fi
+
+ base_src_prepare
+
+ AT_M4DIR="m4" eautoreconf
+ # hack in the autogen.sh
+ touch autogen.lastrun
+
+ # system pyuno mess
+ sed \
+ -e "s:%eprefix%:${EPREFIX}:g" \
+ -e "s:%libdir%:$(get_libdir):g" \
+ -i pyuno/source/module/uno.py \
+ -i pyuno/source/officehelper.py || die
+ # sed in the tests
+ sed -i \
+ -e 's#all : build unitcheck#all : build#g' \
+ solenv/gbuild/Module.mk || die
+ sed -i \
+ -e 's#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g' \
+ -e 's#Makefile.gbuild all slowcheck#Makefile.gbuild all#g' \
+ Makefile.in || die
+
+ if use branding; then
+ # hack...
+ mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
+ fi
+}
+
+src_configure() {
+ local java_opts
+ local internal_libs
+ local lo_ext
+ local ext_opts
+
+ # sane: just sane.h header that is used for scan in writer, not
+ # linked or anything else, worthless to depend on
+ # vigra: just uses templates from there
+ # it is serious pain in the ass for packaging
+ # should be replaced by boost::gil if someone interested
+ internal_libs+="
+ --without-system-sane
+ --without-system-vigra
+ "
+
+ # libreoffice extensions handling
+ for lo_xt in ${LO_EXTS}; do
+ if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
+ ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
+ else
+ ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
+ fi
+ done
+
+ if use java; then
+ # hsqldb: system one is too new
+ java_opts="
+ --without-junit
+ --without-system-hsqldb
+ --with-ant-home="${ANT_HOME}"
+ --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
+ --with-jvm-path="${EPREFIX}/usr/lib/"
+ "
+
+ use libreoffice_extensions_scripting-beanshell && \
+ java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
+
+ use libreoffice_extensions_scripting-javascript && \
+ java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
+
+ if use libreoffice_extensions_wiki-publisher; then
+ java_opts+="
+ --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
+ --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
+ --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
+ --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
+ --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
+ "
+ fi
+ fi
+
+ # system headers/libs/...: enforce using system packages
+ # --enable-cairo: ensure that cairo is always required
+ # --enable-graphite: disabling causes build breakages
+ # --enable-*-link: link to the library rather than just dlopen on runtime
+ # --enable-release-build: build the libreoffice as release
+ # --disable-fetch-external: prevent dowloading during compile phase
+ # --disable-gnome-vfs: old gnome virtual fs support
+ # --disable-kdeab: kde3 adressbook
+ # --disable-kde: kde3 support
+ # --disable-systray: quickstarter does not actually work at all so do not
+ # promote it
+ # --enable-extension-integration: enable any extension integration support
+ # --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
+ # --disable-report-builder: too much java packages pulled in without pkgs
+ econf \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
+ --with-system-headers \
+ --with-system-libs \
+ --with-system-jars \
+ --with-system-dicts \
+ --enable-cairo-canvas \
+ --enable-graphite \
+ --enable-largefile \
+ --enable-mergelibs \
+ --enable-neon \
+ --enable-python=system \
+ --enable-randr \
+ --enable-randr-link \
+ --enable-release-build \
+ --disable-hardlink-deliver \
+ --disable-ccache \
+ --disable-crashdump \
+ --disable-dependency-tracking \
+ --disable-epm \
+ --disable-fetch-external \
+ --disable-gnome-vfs \
+ --disable-gstreamer-0-10 \
+ --disable-report-builder \
+ --disable-kdeab \
+ --disable-kde \
+ --disable-online-update \
+ --disable-systray \
+ --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
+ --with-build-version="Gentoo official package" \
+ --enable-extension-integration \
+ --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
+ --with-external-tar="${DISTDIR}" \
+ --with-lang="" \
+ --with-parallelism=$(makeopts_jobs) \
+ --with-system-ucpp \
+ --with-vendor="Gentoo Foundation" \
+ --with-x \
+ --without-fonts \
+ --without-myspell-dicts \
+ --without-help \
+ --with-helppack-integration \
+ --without-sun-templates \
+ $(use_enable bluetooth sdremote-bluetooth) \
+ $(use_enable coinmp) \
+ $(use_enable collada) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable dbus) \
+ $(use_enable eds evolution2) \
+ $(use_enable firebird firebird-sdbc) \
+ $(use_enable gltf) \
+ $(use_enable gnome gconf) \
+ $(use_enable gnome gio) \
+ $(use_enable gnome lockdown) \
+ $(use_enable gstreamer gstreamer-1-0) \
+ $(use_enable gtk) \
+ $(use_enable gtk3) \
+ $(use_enable kde kde4) \
+ $(use_enable mysql ext-mariadb-connector) \
+ $(use_enable odk) \
+ $(use_enable postgres postgresql-sdbc) \
+ $(use_enable telepathy) \
+ $(use_enable vlc) \
+ $(use_with coinmp system-coinmp) \
+ $(use_with collada system-opencollada) \
+ $(use_with gltf system-libgltf) \
+ $(use_with java) \
+ $(use_with mysql system-mysql-cppconn) \
+ $(use_with odk doxygen) \
+ ${internal_libs} \
+ ${java_opts} \
+ ${ext_opts}
+}
+
+src_compile() {
+ # more and more LO stuff tries to use OpenGL, including tests during build
+ # bug 501508, bug 540624, bug 545974 and probably more
+ addpredict /dev/dri
+ addpredict /dev/ati
+ addpredict /dev/nvidiactl
+
+ # hack for offlinehelp, this needs fixing upstream at some point
+ # it is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ (
+ grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
+ source "${T}/config_host.mk" 2&> /dev/null
+
+ local path="${WORKDIR}/helpcontent2/source/auxiliary/"
+ mkdir -p "${path}" || die
+
+ echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
+ perl "${S}/helpcontent2/helpers/create_ilst.pl" \
+ -dir=icon-themes/galaxy/res/helpimg \
+ > "${path}/helpimg.ilst"
+ [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
+ )
+
+ local target
+ use test && target="build" || target="build-nocheck"
+
+ # this is not a proper make script
+ make ${target} || die
+}
+
+src_test() {
+ make unitcheck || die
+ make slowcheck || die
+}
+
+src_install() {
+ # This is not Makefile so no buildserver
+ make DESTDIR="${D}" distro-pack-install -o build -o check || die
+
+ # Fix bash completion placement
+ newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
+ bashcomp_alias \
+ libreoffice \
+ unopkg loimpress lobase localc lodraw lomath lowriter lofromtemplate loweb loffice
+ rm -rf "${ED}"/etc/ || die
+
+ if use branding; then
+ insinto /usr/$(get_libdir)/${PN}/program
+ newins "${WORKDIR}/branding-sofficerc" sofficerc
+ dodir /etc/env.d
+ echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN}
+ fi
+
+ # Hack for offlinehelp, this needs fixing upstream at some point.
+ # It is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ insinto /usr/$(get_libdir)/libreoffice/help
+ doins xmlhelp/util/*.xsl
+
+ # Remove desktop files for support to old installs that can't parse mime
+ rm -rf "${ED}"/usr/share/mimelnk/
+
+ # FIXME: Hack add missing file
+ insinto /usr/$(get_libdir)/${PN}/program
+ doins "${S}"/instdir/program/libsaxlo.so
+
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
+}
+
+pkg_preinst() {
+ # Cache updates - all handled by kde eclass for all environments
+ kde4-base_pkg_preinst
+}
+
+pkg_postinst() {
+ kde4-base_pkg_postinst
+
+ use java || \
+ ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
+}
+
+pkg_postrm() {
+ kde4-base_pkg_postrm
+}
diff --git a/app-office/libreoffice/libreoffice-9999.ebuild b/app-office/libreoffice/libreoffice-9999.ebuild
index a2b8c95fc353..08d3f54446a7 100644
--- a/app-office/libreoffice/libreoffice-9999.ebuild
+++ b/app-office/libreoffice/libreoffice-9999.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999.ebuild,v 1.36 2015/06/21 15:44:21 dilfridge Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999.ebuild,v 1.37 2015/07/12 20:54:02 dilfridge Exp $
EAPI=5
@@ -99,7 +99,7 @@ COMMON_DEPEND="
>=app-text/hunspell-1.3.2-r3
app-text/mythes
>=app-text/libabw-0.1.0
- >=app-text/libexttextcat-3.2
+ >=app-text/libexttextcat-3.4.4
>=app-text/libebook-0.1.1
>=app-text/libetonyek-0.1.2
app-text/liblangtag